#
# spec file for package python-cligj
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cligj
Version:        0.7.2
Release:        1.15
License:        BSD-3-Clause
Summary:        Click params for commmand line interfaces to GeoJSON
URL:            https://github.com/mapbox/cligj
Group:          Development/Languages/Python
# pypi source lack license and tests
Source:         https://github.com/mapbox/cligj/archive/%{version}.tar.gz#/cligj-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module click}
BuildRequires:  %{python_module pytest}
# /SECTION
Requires:       python-click
BuildArch:      noarch

%python_subpackages

%description
Common arguments and options for GeoJSON processing commands, using Click.

%prep
%setup -q -n cligj-%{version}
# Fix script-without-shebang
chmod a-x LICENSE

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
py.test-%{$python_bin_suffix}
}

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Apr 25 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 0.7.2:
  * Permit use with click versions 8 and higher.
- Update to 0.7.1:
  * Future deprecation warning added in 0.7.0 has been changed.
    Cligj version 1.0.0 will support Python versions >= 3.6.
- Update to 0.7.0:
  * Warn about deprecation of support for Python versions < 3.7
    in 1.0.0 (#33).
  * Warn about future change in --sequence default when the option
    is used (#31).
- Update to 0.6.0:
  * Always use `encoding='utf-8'` when opening input GeoJSON (#27).
  * Improve docstrings (#22).
* Thu Mar  7 2019 Todd R <toddrme2178@gmail.com>
- Remove unneeded python requires
- Switch to github sources, which includes the license and tests
- Run unit tests
- Fix rpmlint warning
* Wed Mar  6 2019 Bruno Friedmann <bruno@ioda-net.ch>
- Packaging:
  + spec-cleaner minimal (mostly date)
  + prepare for factory submission
* Sun Oct 21 2018 Bruno Friedmann <bruno@ioda-net.ch>
- Update to last version 0.5.0
- Packaging move to single spec for python 2 and 3
  spec adjusted with py2pack
  This update allow building newer python-fiona single spec
* Tue Jun  9 2015 Angelos Tzotsos <tzotsos@opensuse.org>
- initial packaging (0.1.0)
